Ruby: ext/zlib/zlib-1.2.13/contrib/minizip/unzip.h File Reference

Ruby 3.0.5p211 (2022-11-24 revision ba5cf0f7c52d4d35cc6a173c89eda98ceffa2dcf)

Data Structures | Macros | Typedefs | Functions
unzip.h File Reference
`#include "zlib.h"`
`#include "ioapi.h"`

Go to the source code of this file.

## Data Structures
struct | tm_unz_s
struct | unz_global_info64_s
struct | unz_global_info_s
struct | unz_file_info64_s
struct | unz_file_info_s
struct | unz_file_pos_s
struct | unz64_file_pos_s

## Macros
#define | Z_BZIP2ED 12
#define | UNZ_OK (0)
#define | UNZ_END_OF_LIST_OF_FILE (-100)
#define | UNZ_ERRNO (Z_ERRNO)
#define | UNZ_EOF (0)
#define | UNZ_PARAMERROR (-102)
#define | UNZ_BADZIPFILE (-103)
#define | UNZ_INTERNALERROR (-104)
#define | UNZ_CRCERROR (-105)

## Typedefs
typedef voidp | unzFile
typedef struct tm_unz_s | tm_unz
typedef struct unz_global_info64_s | unz_global_info64
typedef struct unz_global_info_s | unz_global_info
typedef struct unz_file_info64_s | unz_file_info64
typedef struct unz_file_info_s | unz_file_info
typedef struct unz_file_pos_s | unz_file_pos
typedef struct unz64_file_pos_s | unz64_file_pos

## Functions
int ZEXPORT unzStringFileNameCompare | OF ((const char *fileName1, const char *fileName2, int iCaseSensitivity))
unzFile ZEXPORT unzOpen | OF ((const char *path))
unzFile ZEXPORT unzOpen64 | OF ((const void *path))
unzFile ZEXPORT unzOpen2 | OF ((const char *path, zlib_filefunc_def *pzlib_filefunc_def))
unzFile ZEXPORT unzOpen2_64 | OF ((const void *path, zlib_filefunc64_def *pzlib_filefunc_def))
int ZEXPORT unzClose | OF ((unzFile file))
| Addition for GDAL : START. More...
int ZEXPORT unzGetGlobalInfo | OF ((unzFile file, unz_global_info *pglobal_info))
int ZEXPORT unzGetGlobalInfo64 | OF ((unzFile file, unz_global_info64 *pglobal_info))
int ZEXPORT unzGetGlobalComment | OF ((unzFile file, char *szComment, uLong uSizeBuf))
int ZEXPORT unzLocateFile | OF ((unzFile file, const char *szFileName, int iCaseSensitivity))
int ZEXPORT | unzGetFilePos (unzFile file, unz_file_pos *file_pos)
int ZEXPORT | unzGoToFilePos (unzFile file, unz_file_pos *file_pos)
int ZEXPORT | unzGetFilePos64 (unzFile file, unz64_file_pos *file_pos)
int ZEXPORT | unzGoToFilePos64 (unzFile file, const unz64_file_pos *file_pos)
int ZEXPORT unzGetCurrentFileInfo64 | OF ((unzFile file, unz_file_info64 *pfile_info, char *szFileName, uLong fileNameBufferSize, void *extraField, uLong extraFieldBufferSize, char *szComment, uLong commentBufferSize))
int ZEXPORT unzGetCurrentFileInfo | OF ((unzFile file, unz_file_info *pfile_info, char *szFileName, uLong fileNameBufferSize, void *extraField, uLong extraFieldBufferSize, char *szComment, uLong commentBufferSize))
int ZEXPORT unzOpenCurrentFilePassword | OF ((unzFile file, const char *password))
int ZEXPORT unzOpenCurrentFile2 | OF ((unzFile file, int *method, int *level, int raw))
int ZEXPORT unzOpenCurrentFile3 | OF ((unzFile file, int *method, int *level, int raw, const char *password))
int ZEXPORT unzReadCurrentFile | OF ((unzFile file, voidp buf, unsigned len))
ZPOS64_T ZEXPORT | unzGetOffset64 (unzFile file)
uLong ZEXPORT | unzGetOffset (unzFile file)
int ZEXPORT | unzSetOffset64 (unzFile file, ZPOS64_T pos)
int ZEXPORT | unzSetOffset (unzFile file, uLong pos)

## Macro Definition Documentation

## ◆ UNZ_BADZIPFILE

#define UNZ_BADZIPFILE (-103)

Definition at line 79 of file unzip.h.

## ◆ UNZ_CRCERROR

#define UNZ_CRCERROR (-105)

Definition at line 81 of file unzip.h.

## ◆ UNZ_END_OF_LIST_OF_FILE

#define UNZ_END_OF_LIST_OF_FILE (-100)

Definition at line 75 of file unzip.h.

## ◆ UNZ_EOF

#define UNZ_EOF (0)

Definition at line 77 of file unzip.h.

## ◆ UNZ_ERRNO

#define UNZ_ERRNO (Z_ERRNO)

Definition at line 76 of file unzip.h.

## ◆ UNZ_INTERNALERROR

#define UNZ_INTERNALERROR (-104)

Definition at line 80 of file unzip.h.

## ◆ UNZ_OK

#define UNZ_OK (0)

Definition at line 74 of file unzip.h.

## ◆ UNZ_PARAMERROR

#define UNZ_PARAMERROR (-102)

Definition at line 78 of file unzip.h.

## ◆ Z_BZIP2ED

#define Z_BZIP2ED 12

Definition at line 62 of file unzip.h.

## Typedef Documentation

## ◆ tm_unz

typedef struct tm_unz_s tm_unz

## ◆ unz64_file_pos

typedef struct unz64_file_pos_s unz64_file_pos

## ◆ unz_file_info

typedef struct unz_file_info_s unz_file_info

## ◆ unz_file_info64

typedef struct unz_file_info64_s unz_file_info64

## ◆ unz_file_pos

typedef struct unz_file_pos_s unz_file_pos

## ◆ unz_global_info

typedef struct unz_global_info_s unz_global_info

## ◆ unz_global_info64

typedef struct unz_global_info64_s unz_global_info64

## ◆ unzFile

typedef voidp unzFile

Definition at line 70 of file unzip.h.

## Function Documentation

## ◆ OF() [1/16]

int ZEXPORT unzStringFileNameCompare OF | ( | (const char *fileName1, const char *fileName2, int iCaseSensitivity) |  | ) |

## ◆ OF() [2/16]

unzFile ZEXPORT unzOpen OF | ( | (const char *path) |  | ) |

## ◆ OF() [3/16]

unzFile ZEXPORT unzOpen2 OF | ( | (const char *path, zlib_filefunc_def *pzlib_filefunc_def) |  | ) |

## ◆ OF() [4/16]

unzFile ZEXPORT unzOpen64 OF | ( | (const void *path) |  | ) |

## ◆ OF() [5/16]

unzFile ZEXPORT unzOpen2_64 OF | ( | (const void *path, zlib_filefunc64_def *pzlib_filefunc_def) |  | ) |

## ◆ OF() [6/16]

int ZEXPORT unzClose OF | ( | (unzFile file) |  | ) |

Addition for GDAL : START.

Addition for GDAL : END.

## ◆ OF() [7/16]

int ZEXPORT unzGetGlobalComment OF | ( | (unzFile file, char *szComment, uLong uSizeBuf) |  | ) |

## ◆ OF() [8/16]

int ZEXPORT unzOpenCurrentFilePassword OF | ( | (unzFile file, const char *password) |  | ) |

## ◆ OF() [9/16]

int ZEXPORT unzLocateFile OF | ( | (unzFile file, const char *szFileName, int iCaseSensitivity) |  | ) |

## ◆ OF() [10/16]

int ZEXPORT unzOpenCurrentFile2 OF | ( | (unzFile file, int *method, int *level, int raw) |  | ) |

## ◆ OF() [11/16]

int ZEXPORT unzOpenCurrentFile3 OF | ( | (unzFile file, int *method, int *level, int raw, const char *password) |  | ) |

## ◆ OF() [12/16]

int ZEXPORT unzGetCurrentFileInfo OF | ( | (unzFile file, unz_file_info *pfile_info, char *szFileName, uLong fileNameBufferSize, void *extraField, uLong extraFieldBufferSize, char *szComment, uLong commentBufferSize) |  | ) |

## ◆ OF() [13/16]

int ZEXPORT unzGetCurrentFileInfo64 OF | ( | (unzFile file, unz_file_info64 *pfile_info, char *szFileName, uLong fileNameBufferSize, void *extraField, uLong extraFieldBufferSize, char *szComment, uLong commentBufferSize) |  | ) |

## ◆ OF() [14/16]

int ZEXPORT unzGetGlobalInfo OF | ( | (unzFile file, unz_global_info *pglobal_info) |  | ) |

## ◆ OF() [15/16]

int ZEXPORT unzGetGlobalInfo64 OF | ( | (unzFile file, unz_global_info64 *pglobal_info) |  | ) |

## ◆ OF() [16/16]

int ZEXPORT unzReadCurrentFile OF | ( | (unzFile file, voidp buf, unsigned len) |  | ) |

## ◆ unzGetFilePos()

int ZEXPORT unzGetFilePos | ( | unzFile | file,
|  | unz_file_pos * | file_pos
| ) |  |

Definition at line 1324 of file unzip.c.

References err, unz_file_pos_s::num_of_file, unz64_file_pos_s::num_of_file, unz_file_pos_s::pos_in_zip_directory, unz64_file_pos_s::pos_in_zip_directory, UNZ_OK, and unzGetFilePos64().

## ◆ unzGetFilePos64()

int ZEXPORT unzGetFilePos64 | ( | unzFile | file,
|  | unz64_file_pos * | file_pos
| ) |  |

Definition at line 1308 of file unzip.c.

References unz64_s::current_file_ok, NULL, unz64_s::num_file, unz64_file_pos_s::num_of_file, unz64_s::pos_in_central_dir, unz64_file_pos_s::pos_in_zip_directory, UNZ_END_OF_LIST_OF_FILE, UNZ_OK, and UNZ_PARAMERROR.

Referenced by unzGetFilePos().

## ◆ unzGetOffset()

uLong ZEXPORT unzGetOffset | ( | unzFile | file | ) |

Definition at line 2099 of file unzip.c.

References NULL, and unzGetOffset64().

## ◆ unzGetOffset64()

ZPOS64_T ZEXPORT unzGetOffset64 | ( | unzFile | file | ) |

Definition at line 2084 of file unzip.c.

References unz64_s::current_file_ok, unz64_s::gi, NULL, unz64_s::num_file, unz_global_info64_s::number_entry, and unz64_s::pos_in_central_dir.

Referenced by unzGetOffset().

## ◆ unzGoToFilePos()

int ZEXPORT unzGoToFilePos | ( | unzFile | file,
|  | unz_file_pos * | file_pos
| ) |  |

Definition at line 1360 of file unzip.c.

References NULL, unz_file_pos_s::num_of_file, unz64_file_pos_s::num_of_file, unz_file_pos_s::pos_in_zip_directory, unz64_file_pos_s::pos_in_zip_directory, UNZ_PARAMERROR, and unzGoToFilePos64().

## ◆ unzGoToFilePos64()

int ZEXPORT unzGoToFilePos64 | ( | unzFile | file,
|  | const unz64_file_pos * | file_pos
| ) |  |

Definition at line 1338 of file unzip.c.

References unz64_s::cur_file_info, unz64_s::cur_file_info_internal, unz64_s::current_file_ok, err, NULL, unz64_s::num_file, unz64_file_pos_s::num_of_file, unz64_s::pos_in_central_dir, unz64_file_pos_s::pos_in_zip_directory, unz64local_GetCurrentFileInfoInternal(), UNZ_OK, and UNZ_PARAMERROR.

Referenced by unzGoToFilePos().

## ◆ unzSetOffset()

int ZEXPORT unzSetOffset | ( | unzFile | file,
|  | uLong | pos
| ) |  |

Definition at line 2127 of file unzip.c.

References unzSetOffset64().

## ◆ unzSetOffset64()

int ZEXPORT unzSetOffset64 | ( | unzFile | file,
|  | ZPOS64_T | pos
| ) |  |

Definition at line 2109 of file unzip.c.

References unz64_s::cur_file_info, unz64_s::cur_file_info_internal, unz64_s::current_file_ok, err, unz64_s::gi, NULL, unz64_s::num_file, unz_global_info64_s::number_entry, unz64_s::pos_in_central_dir, unz64local_GetCurrentFileInfoInternal(), UNZ_OK, and UNZ_PARAMERROR.

Referenced by unzSetOffset().